Bug 1024876 - NPE when resource is added to kfs with unspecified path and rule in xls contains timer and calendar.
NPE when resource is added to kfs with unspecified path and rule in xls conta...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER6
: 6.0.0
Assigned To: Mario Fusco
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 10:30 EDT by Tomas David
Modified: 2014-08-06 16:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:15:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas David 2013-10-30 10:30:20 EDT
Description of problem:
NPE is thrown, when resource is added to KieFileSystem with unspecified path and rule in xls contains timer and calendar. Detailed description is below in Steps to Reproduce.

Version-Release number of selected component (if applicable):
Drools 6.0.0-SNAPSHOT
Drools 6.0.0.ER4

How reproducible:
Pull request #276 submited in Drools.

Steps to Reproduce:
1. Create test with one kieSession. At initialization, write xls resource into KieFileSystem with unspecified path. Create and set calendar. Set clock to some day, when the rule do not fire. Finally fireAllRules.
2. Create xls decision table with one rule. Rule should contain timer ("int" timer and "repeat interval" value should be zero) and calendar, which make rule active in one day of week.
3. Run test.

Actual results:
NPE is thrown.

Expected results:
Test should pass.

Additional info:
When resource is added with specified path into kfs, test pass.
When clock are set to day when rule should fire, test pass.
When "repeat interval" value is not zero, test pass.
Comment 2 Mario Fusco 2013-11-28 08:56:56 EST
Fixed by https://github.com/droolsjbpm/drools/commit/4cdd2aa58
Comment 3 Tomas David 2014-01-10 05:15:41 EST
Verified on BRMS 6.0.0.ER7.

Note You need to log in before you can comment on or make changes to this bug.